%define module	Finance-Quote
%define name	perl-%{module}
%define version 1.13
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Get stock and mutual fund quotes from various exchanges 
License:	GPL or Artistic
Group:		Development/Perl
Url:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Finance/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
Buildarch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Finance::Quote provides access to time-delayed stockquotes from a
number of sources.  After you've installed the pacakage, try
'perldoc Finance::Quote' for full information.  Alternatively,
you can 'perldoc lib/Finance/Quote.pm' before the install.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc INSTALL ChangeLog Documentation/*
%{perl_vendorlib}/Finance
%{_mandir}/*/*




%changelog
* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 1.13-1mdv2008.1
+ Revision: 135841
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.13-1mdv2008.0
+ Revision: 46527
- update to new version 1.13


* Thu Nov 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.12-1mdv2007.0
+ Revision: 84626
- new version
- Import perl-Finance-Quote

* Fri Sep 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.11-2mdv2007.0
- Rebuild

* Wed Mar 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.11-1mdk
- New release 1.11
- spec cleanup

* Thu Jul 21 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.10-1mdk
- 1.10 ; add tests

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.08-3mdk
- fix buildrequires in a backward compatible way

* Sat Jul 24 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.08-2mdk 
- rpmbuildupdate aware

